%global sfincb %{_datadir}/shellfu/include-bash
%global shellfu_req shellfu >= __VDEP_SHELLFU_GE__, shellfu < __VDEP_SHELLFU_LT__
%global saturnin_req shellfu-bash-saturnin >= __VDEP_SATURNIN_GE__, shellfu-bash-saturnin < __VDEP_SATURNIN_LT__
%global jat_req shellfu-bash-jat >= __VDEP_JAT_GE__, shellfu-bash-jat < __VDEP_JAT_LT__
%global jats_req shellfu-bash-jats >= __VDEP_JATS_GE__, shellfu-bash-jats < __VDEP_JATS_LT__
%if 0%{?rhel} && 0%{?rhel} <= 7
%global jinja_req python-jinja2
%global yaml_req PyYAML
%else
%global jinja_req python2-jinja2
%global yaml_req python2-pyyaml
%endif

%global pysite2 %(/usr/bin/python2 -sE -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib())")
%global pyver2 %(/usr/bin/python2 -sE -c "import sys; sys.stdout.write(sys.version[:3])")

Name:       __MKIT_PROJ_PKGNAME__
Version:    __MKIT_PROJ_VERSION__
Release:    1%{?dist}
Summary:    __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:        __MKIT_PROJ_VCS_BROWSER__
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: /usr/bin/python2

Requires: jattool-minimal == %{version}
Requires: jattool-report == %{version}
Requires: jattool-tdk == %{version}
%description
__JATS_DESC__

__JATTOOL_DESC__

%package minimal
Requires: %shellfu_req
Requires: %saturnin_req
Requires: shellfu-bash
Requires: %jat_req
Requires: %jats_req
Requires: shellfu-bash-arr
Requires: shellfu-bash-pretty
Summary: JAT harness and test discovery
%description minimal
__JATS_DESC__

__JATTOOL_MINIMAL_DESC__

%package report
Requires: %jinja_req
Requires: jattool-minimal == %{version}
Requires: python2-jats == %{version}
Summary: JAT result post-processing
%description report
__JATS_DESC__

__JATTOOL_REPORT_DESC__

%package tdk
Requires: git
Summary: JAT test development kit
%description tdk
__JATS_DESC__

__JATTOOL_TDK_DESC__

%package -n python2-jats
Summary: Python2 modules for JATS
Requires: %yaml_req
Requires: python2
%description -n python2-jats
__JATS_DESC__

__JATTOOL_PY_DESC__

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr PYVER2=%{pyver2}

%install
%make_install PREFIX=/usr PYVER2=%{pyver2}
PYSITE2="%{buildroot}/%{pysite2}"
mkdir -p "$PYSITE2"
mv "${PYSITE2%/site-packages}/jats" "$PYSITE2"

%files
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README.md

%files minimal
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ini.d
%dir %{_datadir}/%{name}/ini.d/main
%dir %{_libexecdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/complete/qrun.sh
%{_datadir}/%{name}/complete/runid.sh
%{_datadir}/%{name}/complete/runtest.sh
%{_datadir}/%{name}/complete/sfind.sh
%{_datadir}/%{name}/complete/tfind.sh
%{_datadir}/%{name}/help
%{_datadir}/%{name}/ini.d/main/jattool.ini
%{_datadir}/bash-completion/completions/%{name}
%{_libexecdir}/%{name}/%{name}-qrun
%{_libexecdir}/%{name}/%{name}-runid
%{_libexecdir}/%{name}/%{name}-runplan
%{_libexecdir}/%{name}/%{name}-runtest
%{_libexecdir}/%{name}/%{name}-sfind
%{_libexecdir}/%{name}/%{name}-tfind

%files report
%{_datadir}/%{name}/complete/export.sh
%{_datadir}/jattool/jinja2/_errors.j2
%{_datadir}/jattool/jinja2/cases.txt.j2
%{_datadir}/jattool/jinja2/html.j2
%{_datadir}/jattool/jinja2/jat2rl.j2
%{_datadir}/jattool/jinja2/txt.j2
%{_libexecdir}/%{name}/%{name}-export

%files tdk
%dir %{_datadir}/%{name}/tdk/skel
%dir %{_datadir}/%{name}/tdk/skel/packaging
%dir %{_datadir}/%{name}/tdk/skel/packaging/debian
%dir %{_datadir}/%{name}/tdk/skel/packaging/debian/source
%dir %{_datadir}/%{name}/tdk/utils/mkit
%dir %{_datadir}/%{name}/tdk/utils/mkit/include
%{_datadir}/%{name}/tdk/Makefile
%{_datadir}/%{name}/tdk/skel/mkit.ini
%{_datadir}/%{name}/tdk/skel/packaging/debian/changelog
%{_datadir}/%{name}/tdk/skel/packaging/debian/compat
%{_datadir}/%{name}/tdk/skel/packaging/debian/control
%{_datadir}/%{name}/tdk/skel/packaging/debian/copyright
%{_datadir}/%{name}/tdk/skel/packaging/debian/install
%{_datadir}/%{name}/tdk/skel/packaging/debian/rules
%{_datadir}/%{name}/tdk/skel/packaging/debian/source/format
%{_datadir}/%{name}/tdk/skel/packaging/template.spec
%{_datadir}/%{name}/tdk/utils/jatdoc
%{_datadir}/%{name}/tdk/utils/mkit/include/build.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/deploy.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/facts.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/ini.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/mkit.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/release.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/vars.sh
%{_datadir}/%{name}/tdk/utils/mkit/make
%{_datadir}/%{name}/tdk/utils/mkit/mkit.mk
%{_datadir}/%{name}/tdk/utils/mkit/stub

%files -n python2-jats
%{pysite2}/jats/

%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
